io.vertx.ext.auth.mongo

## Class MongoAuthOptions

- java.lang.Object
- - io.vertx.ext.auth.mongo.MongoAuthOptions

- All Implemented Interfaces:
    AuthOptions

  Deprecated.
  This class has been replaced by the class `MongoAuthenticationOptions` for authentication and `MongoAuthorizationOptions` for authorization

      @Deprecated
      public class MongoAuthOptions
      extends Object
      implements AuthOptions

  Options configuring Mongo authentication.
  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoAuthOptions()` Deprecated.
    `MongoAuthOptions(JsonObject json)` Deprecated.
    `MongoAuthOptions(MongoAuthOptions that)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `MongoAuthOptions` | `clone()` Deprecated.
    `MongoAuth` | `createProvider(Vertx vertx)` Deprecated. Create the suitable provider for this option.
    `String` | `getCollectionName()` Deprecated.
    `JsonObject` | `getConfig()` Deprecated.
    `String` | `getDatasourceName()` Deprecated.
    `String` | `getPasswordField()` Deprecated.
    `String` | `getPermissionField()` Deprecated.
    `String` | `getRoleField()` Deprecated.
    `String` | `getSaltField()` Deprecated.
    `HashSaltStyle` | `getSaltStyle()` Deprecated.
    `boolean` | `getShared()` Deprecated.
    `String` | `getUsernameCredentialField()` Deprecated.
    `String` | `getUsernameField()` Deprecated.
    `MongoAuthOptions` | `setCollectionName(String collectionName)` Deprecated. The property name to be used to set the name of the collection inside the config.
    `MongoAuthOptions` | `setConfig(JsonObject config)` Deprecated. The mongo client configuration: see Mongo Client documentation.
    `MongoAuthOptions` | `setDatasourceName(String datasourceName)` Deprecated. The mongo data source name: see Mongo Client documentation.
    `MongoAuthOptions` | `setPasswordField(String passwordField)` Deprecated. The property name to be used to set the name of the field, where the password is stored inside
    `MongoAuthOptions` | `setPermissionField(String permissionField)` Deprecated. The property name to be used to set the name of the field, where the permissions are stored inside.
    `MongoAuthOptions` | `setRoleField(String roleField)` Deprecated. The property name to be used to set the name of the field, where the roles are stored inside.
    `MongoAuthOptions` | `setSaltField(String saltField)` Deprecated. The property name to be used to set the name of the field, where the SALT is stored inside.
    `MongoAuthOptions` | `setSaltStyle(HashSaltStyle saltStyle)` Deprecated. The property name to be used to set the name of the field, where the salt style is stored inside
    `MongoAuthOptions` | `setShared(boolean shared)` Deprecated. Use a shared Mongo client or not.
    `MongoAuthOptions` | `setUsernameCredentialField(String usernameCredentialField)` Deprecated. The property name to be used to set the name of the field, where the username for the credentials is stored inside.
    `MongoAuthOptions` | `setUsernameField(String usernameField)` Deprecated. The property name to be used to set the name of the field, where the username is stored inside.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MongoAuthOptions

          public MongoAuthOptions()

      Deprecated.

    - #### MongoAuthOptions

          public MongoAuthOptions(MongoAuthOptions that)

      Deprecated.

    - #### MongoAuthOptions

          public MongoAuthOptions(JsonObject json)

      Deprecated.

  - ### Method Detail

    - #### clone

          public MongoAuthOptions clone()

      Deprecated.
      Specified by:
        `clone` in interface `AuthOptions`
      Overrides:
        `clone` in class `Object`

    - #### createProvider

          public MongoAuth createProvider(Vertx vertx)

      Deprecated.
      Description copied from interface: `AuthOptions`
      Create the suitable provider for this option.
      Specified by:
        `createProvider` in interface `AuthOptions`
      Parameters:
        `vertx` - the vertx instance
      Returns:
        the auth provider

    - #### getShared

          public boolean getShared()

      Deprecated.

    - #### setShared

          public MongoAuthOptions setShared(boolean shared)

      Deprecated.
      Use a shared Mongo client or not.
      Parameters:
        `shared` - true to use a shared client
      Returns:
        a reference to this, so the API can be used fluently

    - #### getDatasourceName

          public String getDatasourceName()

      Deprecated.

    - #### setDatasourceName

          public MongoAuthOptions setDatasourceName(String datasourceName)

      Deprecated.
      The mongo data source name: see Mongo Client documentation.
      Parameters:
        `datasourceName` - the data source name
      Returns:
        a reference to this, so the API can be used fluently

    - #### getConfig

          public JsonObject getConfig()

      Deprecated.

    - #### setConfig

          public MongoAuthOptions setConfig(JsonObject config)

      Deprecated.
      The mongo client configuration: see Mongo Client documentation.
      Parameters:
        `config` - the mongo config
      Returns:
        a reference to this, so the API can be used fluently

    - #### getCollectionName

          public String getCollectionName()

      Deprecated.

    - #### setCollectionName

          public MongoAuthOptions setCollectionName(String collectionName)

      Deprecated.
      The property name to be used to set the name of the collection inside the config.
      Parameters:
        `collectionName` - the collection name
      Returns:
        a reference to this, so the API can be used fluently

    - #### getUsernameField

          public String getUsernameField()

      Deprecated.

    - #### setUsernameField

          public MongoAuthOptions setUsernameField(String usernameField)

      Deprecated.
      The property name to be used to set the name of the field, where the username is stored inside.
      Parameters:
        `usernameField` - the username field
      Returns:
        a reference to this, so the API can be used fluently

    - #### getPasswordField

          public String getPasswordField()

      Deprecated.

    - #### setPasswordField

          public MongoAuthOptions setPasswordField(String passwordField)

      Deprecated.
      The property name to be used to set the name of the field, where the password is stored inside
      Parameters:
        `passwordField` - the password field
      Returns:
        a reference to this, so the API can be used fluently

    - #### getRoleField

          public String getRoleField()

      Deprecated.

    - #### setRoleField

          public MongoAuthOptions setRoleField(String roleField)

      Deprecated.
      The property name to be used to set the name of the field, where the roles are stored inside.
      Parameters:
        `roleField` - the role field
      Returns:
        a reference to this, so the API can be used fluently

    - #### getPermissionField

          public String getPermissionField()

      Deprecated.

    - #### setPermissionField

          public MongoAuthOptions setPermissionField(String permissionField)

      Deprecated.
      The property name to be used to set the name of the field, where the permissions are stored inside.
      Parameters:
        `permissionField` - the permission field
      Returns:
        a reference to this, so the API can be used fluently

    - #### getUsernameCredentialField

          public String getUsernameCredentialField()

      Deprecated.

    - #### setUsernameCredentialField

          public MongoAuthOptions setUsernameCredentialField(String usernameCredentialField)

      Deprecated.
      The property name to be used to set the name of the field, where the username for the credentials is stored inside.
      Parameters:
        `usernameCredentialField` - the username credential field
      Returns:
        a reference to this, so the API can be used fluently

    - #### getSaltField

          public String getSaltField()

      Deprecated.

    - #### setSaltField

          public MongoAuthOptions setSaltField(String saltField)

      Deprecated.
      The property name to be used to set the name of the field, where the SALT is stored inside.
      Parameters:
        `saltField` - the salt field
      Returns:
        a reference to this, so the API can be used fluently

    - #### getSaltStyle

          public HashSaltStyle getSaltStyle()

      Deprecated.

    - #### setSaltStyle

          public MongoAuthOptions setSaltStyle(HashSaltStyle saltStyle)

      Deprecated.
      The property name to be used to set the name of the field, where the salt style is stored inside
      Parameters:
        `saltStyle` - the salt style
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2022 Eclipse. All rights reserved.